from optparse import OptionParser
from sqlite3 import connect, Row
import re

if __name__ == "__main__" :

    parser = OptionParser()

    (options, args) = parser.parse_args()
    
    conn = connect(args[0])
    conn.row_factory = Row
    curs = conn.cursor()
    
    names = {}
    
    curs.execute("select tt.text as text from tweet_tweet as tt left join tweet_user as tu on tt.user = tu.rowid where tt.text like \"%ENMI09%\" order by tt.created_at_ts asc;")
    
    regexp = re.compile("\@(\w+)")
    
    for row in curs:
        text = row["text"]
        for m in regexp.finditer(text):
            names[m.group(1)]=m.group(1)
    
    
    print repr(names.keys())
    print repr(len(names.keys()))
            
        
